﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Net.Sockets;

namespace MyBrowser
{
	class Program
	{
		static void Main(string[] args)
		{
			if (args.Length != 1)
			{
				Console.WriteLine("Please pass one and only one internet adress by argument");
				return;
			}
			Socket sock = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
			sock.Connect(args[0], 80);
			NetworkStream stream = new NetworkStream(sock);
			StreamWriter writer = new StreamWriter(stream);
			StreamReader reader = new StreamReader(stream);
			writer.Write("GET / HTTP/1.1\nHost : " + args[0] + "\nConnection : close\n\n");
			writer.Flush();
			Console.WriteLine(reader.ReadToEnd());
			sock.Close();
			Console.ReadKey();
		}
	}
}
